#!/bin/sh

#  CopyAndSignFramework.sh
#  Postico
#
#  Created by Martin Köhler on 2019-07-22.
#  Copyright © 2019 Egger Apps. All rights reserved.

set -e

FRAMEWORK_SOURCE_DIR="${SOURCE_ROOT}/Sparkle/Sparkle.framework"
FRAMEWORK_TARGET_DIR="${BUILT_PRODUCTS_DIR}"/${FRAMEWORKS_FOLDER_PATH}/Sparkle.framework

mkdir -p "${FRAMEWORK_TARGET_DIR}"
rsync -av --delete --delete-excluded --filter='+ en.lproj' --filter='- *.lproj' "${FRAMEWORK_SOURCE_DIR}"/ "${FRAMEWORK_TARGET_DIR}"

function sign {
	"${SOURCE_ROOT}/Sparkle/bin/codesign_embedded_executable" "${EXPANDED_CODE_SIGN_IDENTITY}" "$1"
}

sign "${FRAMEWORK_TARGET_DIR}/Versions/A/Resources/Autoupdate"
sign "$FRAMEWORK_TARGET_DIR/Versions/A/Resources/Updater.app/"
sign "${FRAMEWORK_TARGET_DIR}"
